Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 806953 - net-analyzer/netwox-5.39.0 - (.text+<snip>): undefined reference to pthread_yield
Summary: net-analyzer/netwox-5.39.0 - (.text+<snip>): undefined reference to pthread_y...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: glibc-2.34
  Show dependency tree
 
Reported: 2021-08-07 08:53 UTC by Toralf Förster
Modified: 2021-09-19 06:10 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,18.18 KB, text/plain)
2021-08-07 08:53 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,492.36 KB, text/plain)
2021-08-07 08:53 UTC, Toralf Förster
Details
environment (environment,56.47 KB, text/plain)
2021-08-07 08:53 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,40.33 KB, application/x-bzip)
2021-08-07 08:53 UTC, Toralf Förster
Details
net-analyzer:netwox-5.39.0:20210807-025827.log (net-analyzer:netwox-5.39.0:20210807-025827.log,220.11 KB, text/plain)
2021-08-07 08:53 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-08-07 08:53:15 UTC
      |   ^~~~~~~
/usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /usr/lib64/libnetwib.a(priv.o): in function `netwib_priv_mutex_wrlock':
(.text+0x522): undefined reference to `pthread_yield'
/usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /usr/lib64/libnetwib.a(priv.o): in function `netwib_priv_pause':
(.text+0x3be5): undefined reference to `pthread_yield'
/usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: /usr/lib64/libnetwib.a(priv.o): in function `netwib_priv_pause2':
(.text+0x3c85): undefined reference to `pthread_yield'

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-j3-20210730-192333

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.2.0 *
/usr/lib/llvm/12
12.0.1
Python 3.9.6
Available Ruby profiles:
  (none found)
Available Rust versions:
  [1]   rust-bin-1.54.0 *
The following VMs are available for generation-2:
Available Java Virtual Machines:
  (none found)

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  HEAD of ::gentoo
commit 63171a5baeae0b42af3e0215318a588d6927007d
Author: Repository mirror & CI <repomirrorci@gentoo.org>
Date:   Sat Aug 7 01:38:38 2021 +0000

    2021-08-07 01:38:36 UTC

emerge -qpvO net-analyzer/netwox
[ebuild  N    ] net-analyzer/netwox-5.39.0  USE="-doc"
Comment 1 Toralf Förster gentoo-dev 2021-08-07 08:53:16 UTC
Created attachment 731020 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-08-07 08:53:18 UTC
Created attachment 731023 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2021-08-07 08:53:19 UTC
Created attachment 731026 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2021-08-07 08:53:21 UTC
Created attachment 731029 [details]
etc.portage.tar.bz2
Comment 5 Toralf Förster gentoo-dev 2021-08-07 08:53:22 UTC
Created attachment 731032 [details]
net-analyzer:netwox-5.39.0:20210807-025827.log
Comment 6 Sam James archtester gentoo-dev Security 2021-08-11 23:30:37 UTC
Site: "This project reached its End Of Maintenance in 2007". Let's last-rite.
Comment 7 Larry the Git Cow gentoo-dev 2021-08-18 23:34:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62d46f26456a3c4d1ba8753a28d2210a3f841751

commit 62d46f26456a3c4d1ba8753a28d2210a3f841751
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-18 23:27:26 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-18 23:27:26 +0000

    profiles: last-rite net-analyzer/netwox
    
    Bug: https://bugs.gentoo.org/711088
    Bug: https://bugs.gentoo.org/775944
    Bug: https://bugs.gentoo.org/790680
    Bug: https://bugs.gentoo.org/806953
    Signed-off-by: Sam James <sam@gentoo.org>

 profiles/package.mask | 7 +++++++
 1 file changed, 7 insertions(+)
Comment 8 Larry the Git Cow gentoo-dev 2021-09-19 06:10:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a6701de0e356efdee1d5557316f16cd58bead33

commit 4a6701de0e356efdee1d5557316f16cd58bead33
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2021-09-19 06:08:47 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2021-09-19 06:08:47 +0000

    net-analyzer/netwox: Remove last-rited package
    
    Closes: https://bugs.gentoo.org/790680
    Closes: https://bugs.gentoo.org/711088
    Closes: https://bugs.gentoo.org/775944
    Closes: https://bugs.gentoo.org/806953
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 net-analyzer/netwox/Manifest             |  2 -
 net-analyzer/netwox/metadata.xml         | 11 ------
 net-analyzer/netwox/netwox-5.39.0.ebuild | 66 --------------------------------
 profiles/package.mask                    |  7 ----
 4 files changed, 86 deletions(-)